WebM Codec SDK

Data Fields
vpx_svc_ref_frame_config Struct Reference
Supported Codecs » VP8 » WebM VP8/VP9 Encoder

vp9 svc frame flag parameters. More...

`#include <vp8cx.h>`

## Data Fields
int | lst_fb_idx [5]
int | gld_fb_idx [5]
int | alt_fb_idx [5]
int | update_buffer_slot [5]
int | update_last [5]
int | update_golden [5]
int | update_alt_ref [5]
int | reference_last [5]
int | reference_golden [5]
int | reference_alt_ref [5]
int64_t | duration [5]

## Detailed Description

vp9 svc frame flag parameters.

This defines the frame flags and buffer indices for each spatial layer for svc encoding. This is used with the VP9E_SET_SVC_REF_FRAME_CONFIG control to set frame flags and buffer indices for each spatial layer for the current (super)frame.

## Field Documentation

## ◆ lst_fb_idx

int vpx_svc_ref_frame_config::lst_fb_idx[5]

Last buffer index.

## ◆ gld_fb_idx

int vpx_svc_ref_frame_config::gld_fb_idx[5]

Golden buffer index.

## ◆ alt_fb_idx

int vpx_svc_ref_frame_config::alt_fb_idx[5]

Altref buffer index.

## ◆ update_buffer_slot

int vpx_svc_ref_frame_config::update_buffer_slot[5]

Update reference frames.

## ◆ update_last

int vpx_svc_ref_frame_config::update_last[5]

Update last.

## ◆ update_golden

int vpx_svc_ref_frame_config::update_golden[5]

Update golden.

## ◆ update_alt_ref

int vpx_svc_ref_frame_config::update_alt_ref[5]

Update altref.

## ◆ reference_last

int vpx_svc_ref_frame_config::reference_last[5]

Last as reference.

## ◆ reference_golden

int vpx_svc_ref_frame_config::reference_golden[5]

Golden as reference.

## ◆ reference_alt_ref

int vpx_svc_ref_frame_config::reference_alt_ref[5]

Altref as reference.

## ◆ duration

int64_t vpx_svc_ref_frame_config::duration[5]

Duration per spatial layer.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h